From ebf2785208467e433c8b8b18d974e0ad69d80b79 Mon Sep 17 00:00:00 2001
From: Jean-Baptiste Holcroft <jean-baptiste@holcroft.fr>
Date: Oct 15 2020 20:25:33 +0000
Subject: [PATCH 1/6] use python to concat files


---

diff --git a/build.py b/build.py
index 4e9e0c2..1a228ce 100755
--- a/build.py
+++ b/build.py
@@ -153,12 +153,7 @@ def main():
                 json.dump(data, f, indent=2)
             print("")
 
-            # if package.startswith("libreoffice"):
-            #    print("package ignored because really slow, please use --srpm")
-            #    continue
-
-    subprocess.run(['./concat_csv.sh', result_folder],
-                   check=True)
+    concat_csv(result_folder)
 
 
 def extract_srpm(tmp, name, result_folder):
@@ -332,6 +327,16 @@ def get_json_translation_level(path, mask, name, result_folder):
                     result_folder + '/{p}.errors.txt'.format(p=name)],
                    check=True)
 
+def concat_csv(result_folder):
+    filenames = [f for f in os.listdir(result_folder) if os.path.isfile(os.path.join(result_folder, f))]
+    filenames = [f for f in filenames if f.endswith(".stats.csv")]
+
+    with open(os.path.join(result_folder, "_concat.csv"), "w") as outfile:
+        for fname in filenames:
+            print(fname)
+            with open(os.path.join(result_folder, fname)) as infile:
+                for line in infile:
+                    outfile.write(line)
 
 def unknown_format(results, srpm, tformat, result_folder):
     print("unknown_format: " + tformat)
